
pro eis_sts1_reformatter::initialise, local_logger, trace=trace
  self.logger = local_logger
  *self.logger->set_trace, trace=trace
  ;if KEYWORD_SET(flag) then *self.logger->set_trace, /trace
  self->trace, 'eis_sts1_reformatter::initialise'
  self->eis_status_reformatter::initialise

  ; This should be in eis_status_reformatter...
;;;  self.packet_source_directory = getenv('HOME') + '/work/localdata/sdtp/merge/split'
;;;  self.packet_source_directory = getenv('HOME') + '/work/localdata/sdtp/merge/received'

  self.status_type = 'sts1'
  self.hk_suffix   = 'STS1'
  self.file_suffix = '_sts1'
;  self.status_acronym = 'STS1'
  self.packet_size = 110        ; bytes
  self.packet_interval_time = 2 ; seconds
  self.number_of_expected_packets = (60 * 60 * 1.5) / self.packet_interval_time
  self.apid = '05C4'X

  ; This should be in eis_status_reformatter...
  ;self.fits_base = getenv('HOME') + '/work/localdata/sdtp/merge/' + 'fits'
end
